Bug 729257 - bkr task-add / make bkradd should save destructiveness to Beaker
Summary: bkr task-add / make bkradd should save destructiveness to Beaker
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: command line
Version: 0.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
Assignee: Dan Callaghan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 707152 749512
TreeView+ depends on / blocked
 
Reported: 2011-08-09 09:26 UTC by Petr Šplíchal
Modified: 2019-05-22 13:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 749512 (view as bug list)
Environment:
Last Closed: 2011-09-08 02:43:10 UTC


Attachments (Terms of Use)

Description Petr Šplíchal 2011-08-09 09:26:17 UTC
Description of problem:

Seems that currently we do not populate Beaker task table with the
value of "Destructive" from the testinfo.desc:

    https://bugzilla.redhat.com/show_bug.cgi?id=725465#c3

Please provide this functionality necessary to fix bug 725465.

Version-Release number of selected component (if applicable):
beaker-client-0.6.16-1.el6eso.noarch

Comment 1 Dan Callaghan 2011-08-09 22:28:37 UTC
Thanks for filing this Petr, I was going to do so when I discovered it the other day but it seems I forgot.

Comment 3 Petr Šplíchal 2011-09-02 11:40:52 UTC
I've tried "make bkradd" with:

    @echo "Destructive:     no" >> $(METADATA)

but the "Destructive" flag was still "True" at

    https://beaker-stage.app.eng.bos.redhat.com/tasks/1257

Only completely removing the "Destructive" line caused the flag to
disappear. (Should it not rather be displayed with "False" value?)

Furthermore, listing all non-destructive bash tasks shows no
result, although there are a few safe tasks available:

$ bkr task-list --package bash
/CoreOS/bash/builtins/broken-pipe-bz128274
/CoreOS/bash/builtins/cd-memory-leak
/CoreOS/bash/builtins/close-fd
/CoreOS/bash/builtins/declare-array
/CoreOS/bash/builtins/free-segfault-384551
/CoreOS/bash/builtins/globbing_bz221381
/CoreOS/bash/builtins/greaterthan_bz136688
/CoreOS/bash/builtins/read-memleak
/CoreOS/bash/i18n/bug157260
/CoreOS/bash/i18n/ifs-invalid-multibyte
/CoreOS/bash/i18n/setlocale
/CoreOS/bash/jobs/pipeline-segfault/quick
/CoreOS/bash/jobs/signal-handler-segfault
/CoreOS/bash/jobs/trap-incomplete
/CoreOS/bash/Regression/bz190350-vi-mode-redo-insert
/CoreOS/bash/Regression/bz453123-wrong-input-confuses-bash
/CoreOS/bash/Regression/bz521134-pid-recycling
/CoreOS/bash/Sanity/upstream
/CoreOS/bash/signals/sighup
/CoreOS/bash/syntax/sh-bang
/CoreOS/bash/syntax/sub-shell-with-operator
/CoreOS/bash/wrap/quick
/CoreOS/bash/declare-array/builtins/

$ bkr task-list --package bash --destructive
/CoreOS/bash/Regression/bz190350-vi-mode-redo-insert
/CoreOS/bash/Regression/bz521134-pid-recycling
/CoreOS/bash/Sanity/upstream

$ bkr task-list --package bash --non-destructive
<NOTHING>

$ rpm -q beaker-client
beaker-client-0.7.0-1.el6eso.noarch

Comment 4 Dan Callaghan 2011-09-05 06:32:05 UTC
(In reply to comment #3)

There was a bug in parsing the Destructive field, this will be fixed. Thanks for testing.

Comment 6 Dan Callaghan 2011-09-08 02:43:10 UTC
Beaker 0.7.1 has been released.


Note You need to log in before you can comment on or make changes to this bug.